# Makes capslock to control/escape
# insert to paste
# right alt to enable German Umlaute (äÄöÖüÜ),
# sharp s (ß), and the Euro sign (€).
# Needs compose key to be set in xkb to work correctly:
# $ setxkbmap -option "compose:menu"

[ids]

*

[main]

capslock = overload(control, esc)
insert = S-insert
rightalt = layer(dia)
shift = layer(shift)
rightshift = layer(shift)

[shift:S]

rightalt = layer(shiftedDia)

[dia]

shift = layer(shiftedDia)
rightshift = layer(shiftedDia)

a = macro(compose a ")
o = macro(compose o ")
u = macro(compose u ")
s = macro(compose s s)
e = macro(compose = e)

[shiftedDia]

a = macro(compose A ")
o = macro(compose O ")
u = macro(compose U ")
